com.r3corda.node.services.config / OptionalConfig

# OptionalConfig

`class OptionalConfig<out T>`

Helper class for optional configurations

### Constructors

<init> | `OptionalConfig(conf: <ERROR CLASS>, lambda: () -> T)` Helper class for optional configurations

### Properties

conf | `val conf: <ERROR CLASS>`
lambda | `val lambda: () -> T`

### Functions

getValue | `operator fun getValue(receiver: Any, metadata: KProperty<*>): T`